//
//  PenSizeView.h
//  color
//
//  Created by kunii on 10/01/14.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PenSizeView;

@protocol PenSizeViewDelegate
//	現在ユーザーがタッチしている色を通知。
-(void)penSizeView:(PenSizeView*)view size:(double)inSize;
@end


@interface PenSizeView : UIView {
	id<PenSizeViewDelegate, NSObject>	delegate;		//	ユーザタッチによる色選択を通知する相手
	UIImage*							image;			//	ペン画像
	UIColor*							color;
}
@property (nonatomic, assign) id<PenSizeViewDelegate, NSObject>	delegate;

//	両端の色を指定する。
-(void)setPenColor:(UIColor*)inColor;

@end
