//
//  PenColorView.h
//  color
//
//  Created by kunii on 10/01/14.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PenColorView;

@protocol PenColorViewDelegate
//	現在ユーザーがタッチしている色を通知。
-(void)penColorView:(PenColorView*)view color:(UIColor*)color;
@end


@interface PenColorView : UIView {
	id<PenColorViewDelegate, NSObject>	delegate;		//	ユーザタッチによる色選択を通知する相手
	UIImage*							image;			//	グラデーション画像
	UIColor*							startColor;		//	グラデーションの開始色
	UIColor*							endColor;		//	グラデーションの終了色
}
@property (nonatomic, assign) id<PenColorViewDelegate, NSObject>	delegate;

//	両端の色を指定する。
-(void)setColorStart:(UIColor*)inStartColor end:(UIColor*)inEndColor;

@end
